Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class Treat

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Single
                  org.basex.query.expr.Treat

    public final class Treat

extends Single

Treat as expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.expr.Single
`expr`

Constructor Summary
`Treat(Expr e, SeqType s)` Constructor.

Method Summary
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.expr.Single
`comp, remove, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, removable, returned, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Treat

    public Treat(Expr e,
                 SeqType s)

  Constructor.

  Parameters:
    `e` - expression
    `s` - sequence type

Method Detail

### iter

    public Iter iter(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - evaluation exception

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Single`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD